{ stdenv, fetchFromGitHub, python3Packages, nmigen, jtagtap }:

python3Packages.buildPythonPackage {
  name = "minerva";

  src = fetchFromGitHub {
    owner = "lambdaconcept";
    repo = "minerva";
    rev = "8f56e3aba2e7a4cd20013f1aaf7fe6b2592d8941";
    sha256 = "1s8d0dhkj6cslz4b6sc8b6h5z7hq3aj72j26w6gipd041gsbg87i";
  };

  propagatedBuildInputs = [ nmigen jtagtap ];

  meta = with stdenv.lib; {
    description = "A 32-bit RISC-V soft processor";
    homepage    = "https://m-labs.hk/migen";
    license     = licenses.bsd2;
    maintainers = [ maintainers.sb0 ];
  };
}
